<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionCarHornBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d26/class_action_car_horn_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionCarHornBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a40bd00d1b916f35d5a33ed0534c2ec14"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d26/class_action_car_horn_base.html#a40bd00d1b916f35d5a33ed0534c2ec14">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a40bd00d1b916f35d5a33ed0534c2ec14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03a42c06da763948514c00a5b1a56ae8"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d26/class_action_car_horn_base.html#a03a42c06da763948514c00a5b1a56ae8">SetCarHornState</a> (<a class="el" href="../../da/daf/class_car_horn_action_data.html">CarHornActionData</a> pActionData, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pState)</td></tr>
<tr class="separator:a03a42c06da763948514c00a5b1a56ae8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88483912da25bacdfbbe58cdb1e80e07"><td class="memItemLeft" align="right" valign="top">static protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d26/class_action_car_horn_base.html#a88483912da25bacdfbbe58cdb1e80e07">PlayerIsDriver</a> (<a class="el" href="../../d3/d36/class_transport.html">Transport</a> trans, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a88483912da25bacdfbbe58cdb1e80e07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac52666cc7a3f7397611ccd3183c52d92"><td class="memItemLeft" align="right" valign="top">static protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d26/class_action_car_horn_base.html#ac52666cc7a3f7397611ccd3183c52d92">BatteryIsVital</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> battery)</td></tr>
<tr class="separator:ac52666cc7a3f7397611ccd3183c52d92"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/d41/_action_car_horn_8c_source.html#l00001">1</a> of file <a class="el" href="../../d8/d41/_action_car_horn_8c_source.html">ActionCarHorn.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a40bd00d1b916f35d5a33ed0534c2ec14" name="a40bd00d1b916f35d5a33ed0534c2ec14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40bd00d1b916f35d5a33ed0534c2ec14">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionCarHornBase::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d41/_action_car_horn_8c_source.html#l00003">3</a> of file <a class="el" href="../../d8/d41/_action_car_horn_8c_source.html">ActionCarHorn.c</a>.</p>

</div>
</div>
<a id="ac52666cc7a3f7397611ccd3183c52d92" name="ac52666cc7a3f7397611ccd3183c52d92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac52666cc7a3f7397611ccd3183c52d92">&#9670;&#160;</a></span>BatteryIsVital()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static protected <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionCarHornBase::BatteryIsVital </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>battery</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d41/_action_car_horn_8c_source.html#l00044">44</a> of file <a class="el" href="../../d8/d41/_action_car_horn_8c_source.html">ActionCarHorn.c</a>.</p>

</div>
</div>
<a id="a88483912da25bacdfbbe58cdb1e80e07" name="a88483912da25bacdfbbe58cdb1e80e07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88483912da25bacdfbbe58cdb1e80e07">&#9670;&#160;</a></span>PlayerIsDriver()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static protected <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionCarHornBase::PlayerIsDriver </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d36/class_transport.html">Transport</a>&#160;</td>
          <td class="paramname"><em>trans</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d41/_action_car_horn_8c_source.html#l00039">39</a> of file <a class="el" href="../../d8/d41/_action_car_horn_8c_source.html">ActionCarHorn.c</a>.</p>

</div>
</div>
<a id="a03a42c06da763948514c00a5b1a56ae8" name="a03a42c06da763948514c00a5b1a56ae8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03a42c06da763948514c00a5b1a56ae8">&#9670;&#160;</a></span>SetCarHornState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ActionCarHornBase::SetCarHornState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/daf/class_car_horn_action_data.html">CarHornActionData</a>&#160;</td>
          <td class="paramname"><em>pActionData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d41/_action_car_horn_8c_source.html#l00028">28</a> of file <a class="el" href="../../d8/d41/_action_car_horn_8c_source.html">ActionCarHorn.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/Vehicles/<a class="el" href="../../d8/d41/_action_car_horn_8c_source.html">ActionCarHorn.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/d26/class_action_car_horn_base.html">ActionCarHornBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
